package com.org.web.data.service;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.org.web.data.domain.DataStatistics;
import com.org.web.data.domain.DataStatisticsItem;
import com.org.web.data.mapper.DataMapper;
import com.org.web.person.domain.BcPersonSupport;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class DataService extends ServiceImpl<DataMapper, BcPersonSupport> {

    /**
     * 列表
     */
    public DataStatistics queryDataStatistics() {
        List<DataStatisticsItem> villageCountList = baseMapper.listVillageCount();

        List<DataStatisticsItem> ifHelpPoorList = baseMapper.listIfHelpPoor();

        List<DataStatisticsItem> sexList = baseMapper.listSex();

        List<DataStatisticsItem> nursingLevelList = baseMapper.listNursingLevel();

        List<DataStatisticsItem> ageList = baseMapper.listAgeCount();

        List<DataStatisticsItem> inHospitalList = baseMapper.listInHospital();

        List<DataStatisticsItem> roomCountList = baseMapper.listRoomCount();

        DataStatistics dataStatistics = new DataStatistics();
        dataStatistics.setVillageCountList(villageCountList);
        dataStatistics.setIfHelpPoorList(ifHelpPoorList);
        dataStatistics.setSexList(sexList);
        dataStatistics.setNursingLevelList(nursingLevelList);
        dataStatistics.setAgeList(ageList);
        dataStatistics.setInHospitalList(inHospitalList);
        dataStatistics.setRoomCountList(roomCountList);

        return dataStatistics;
    }

}
